API Reference

Create a bank account

POST/bank_accounts

Request

curl
curl -u TEST:TEST https://gateway.pmnts-sandbox.io/v1.0/bank_accounts -d'
{ 
  "account_name": "Max Webber", 
  "account_number": "123456789", 
  "bsb": "083-832", 
  "account_type": "AU" 
}'

Response

201cURL
json
{
  "successful": true,
  "response": {
  "id": "071-B-2FOU6UFB",
  "account_name": "Max Webber",
  "account_number": "123456789",
  "bsb": "083-832",
  "created_at": "2018-01-18T17:45:45+11:00"
  },
  "errors": [],
  "test": true
}
422Result
json
{
  "successful":false,
  "response":{
  "id":"071-B-FGCEWI9L",
  "account_name":"Max Webber",
  "account_number":"123456789",
  "bsb":"INVALID-FORMAT",
  "created_at":null
  },
  "errors":[
  "Bsb is the incorrect format - please use 123-456","BSB does not appear to be valid - Bank/State code does not exist"
  ],
  "test":true
}